| ghc-6.12.3: The GHC API | Contents | Index

RegAlloc.Linear.Stats

Synopsis

binSpillReasons :: [SpillReason] -> UniqFM [Int]
countRegRegMovesNat :: Instruction instr => NatCmmTop instr -> Int
pprStats :: Instruction instr => [NatCmmTop instr] -> [RegAllocStats] -> SDoc

Documentation
binSpillReasons :: [SpillReason] -> UniqFM [Int]
Build a map of how many times each reg was alloced, clobbered, loaded etc.
countRegRegMovesNat :: Instruction instr => NatCmmTop instr -> Int
Count reg-reg moves remaining in this code.
pprStats :: Instruction instr => [NatCmmTop instr] -> [RegAllocStats] -> SDoc
Pretty print some RegAllocStats
Produced by Haddock version 2.6.1